Reply to topic

Call for Testing of KDE neon on Focal 20.04 base

User avatar kde-jriddell
Registered Member
Posts
75
Karma
2
OS
We would like to ask for testing of the KDE neon on Focal/20.04 rebase.

We need testing of the upgrade process, which is documented here
https://community.kde.org/Neon/FocalUpgrades

And of the Preview installable ISOs which are here
https://files.kde.org/neon/images/focal-preview/

We need testing of all editions installed as full disk install, selected partiton install, encrypted partition install, OEM install. Please report back with details of what type of install you did and problems you found.
User avatar kdeoldster
Registered Member
Posts
56
Karma
0
OS
Network Manager missing after upgrade completed and restart. KDE neon installed in VMware virtual machine I followed the steps included in the article.
User avatar claydoh
Registered Member
Posts
681
Karma
5
OS
Confirm that plasma-nm is removed.

Attempting to reinstall :
Code: Select all
[email protected]:~$ sudo apt install plasma-nm
[sudo] password for dohbuoy:
Reading package lists... Done
Building dependency tree       
Reading state information... Done
Starting pkgProblemResolver with broken count: 1
Starting 2 pkgProblemResolver with broken count: 1
Investigating (0) plasma-nm:amd64 < none -> 4:5.19.2-0xneon+20.04+focal+build4 @un puN Ib >
Broken plasma-nm:amd64 Depends on qml-module-org-kde-prison:amd64 < none | 5.68.0-0ubuntu1 @un uH >
  Considering qml-module-org-kde-prison:amd64 1 as a solution to plasma-nm:amd64 9999
  Re-Instated qml-module-org-kde-prison:amd64
Broken plasma-nm:amd64 Depends on libkf5modemmanagerqt6:amd64 < none | 5.71.0-0xneon+20.04+focal+build2 @rc uH >
  Considering libkf5modemmanagerqt6:amd64 1 as a solution to plasma-nm:amd64 9999
  Re-Instated libkf5modemmanagerqt6:amd64
Broken plasma-nm:amd64 Depends on libopenconnect5:amd64 < none | 8.05-1 @un uH > (>= 7.05)
  Considering libopenconnect5:amd64 0 as a solution to plasma-nm:amd64 9999
  Re-Instated libtommath1:amd64
  Re-Instated libtomcrypt1:amd64
  Re-Instated libstoken1:amd64
  Re-Instated libopenconnect5:amd64
Broken plasma-nm:amd64 Depends on libqca-qt5-2:amd64 < 2.2.1-2build1 @ii mK > (>= 2.3.0)
  Considering libqca-qt5-2:amd64 6 as a solution to plasma-nm:amd64 9999
Done
Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.
The following information may help to resolve the situation:

The following packages have unmet dependencies:
 plasma-nm : Depends: libqca-qt5-2 (>= 2.3.0) but 2.2.1-2build1 is to be installed
E: Unable to correct problems, you have held broken packages.


Code: Select all
[email protected]:~$ apt policy libqca-qt5-2
libqca-qt5-2:
  Installed: 2.2.1-2build1
  Candidate: 2.2.1-2build1
  Version table:
     2.3.0-0xneon+20.04+focal+build1 500
        500 http://archive.neon.kde.org/release focal/main amd64 Packages
 *** 2.2.1-2build1 1100
        500 http://us.archive.ubuntu.com/ubuntu focal/universe amd64 Packages
        100 /var/lib/dpkg/status


Upgrade on my Lenovo Flex 15 laptop


claydoh, proud to be a member of KDE forums since 2008-Oct, and KDE user since 2001
ctech
Registered Member
Posts
4
Karma
0
1) I can select English keyboard layout or any other, but not both. Nevertheless, only English (Latin) login name is accepted in the later step. An old Calamares issue seems no one cares about: https://github.com/calamares/calamares/issues/1211

2) Hitting "Previous" and "Next" buttons few times produce an installer crash.
User avatar dbergstein
Registered Member
Posts
32
Karma
0
OS
I had an interesting experience with regard to the network manager issue. It only occurred on one out of two machines I have. To fix the issue, I downloaded network manager from the focal release along with its dependencies and installed them as a set. No other issues to report (so far).

Update: I tried to reinstall digikam but received dependency errors (see below).

Code: Select all
$ sudo apt install digikam
Reading package lists... Done
Building dependency tree       
Reading state information... Done
Starting pkgProblemResolver with broken count: 2
Starting 2 pkgProblemResolver with broken count: 2
Investigating (0) libkf5akonadiwidgets5abi1:amd64 < none -> 4:19.12.3-0ubuntu2 @un uN Ib >
Broken libkf5akonadiwidgets5abi1:amd64 Depends on libkf5akonadicore5abi2:amd64 < none | 4:19.12.3-0ubuntu2 @un uH > (= 4:19.12.3-0ubuntu2)
  Considering libkf5akonadicore5abi2:amd64 0 as a solution to libkf5akonadiwidgets5abi1:amd64 0
  Holding Back libkf5akonadiwidgets5abi1:amd64 rather than change libkf5akonadicore5abi2:amd64
Investigating (0) libkf5akonadicontact5abi1:amd64 < none -> 4:19.12.3-0ubuntu1 @un uN Ib >
Broken libkf5akonadicontact5abi1:amd64 Depends on libkf5akonadicore5abi2:amd64 < none | 4:19.12.3-0ubuntu2 @un uH > (>= 4:19.08.3)
  Considering libkf5akonadicore5abi2:amd64 0 as a solution to libkf5akonadicontact5abi1:amd64 0
  Holding Back libkf5akonadicontact5abi1:amd64 rather than change libkf5akonadicore5abi2:amd64
Investigating (1) digikam-private-libs:amd64 < none -> 4:6.4.0+dfsg-3build1 @un uN Ib >
Broken digikam-private-libs:amd64 Depends on libkf5akonadicontact5abi1:amd64 < none | 4:19.12.3-0ubuntu1 @un uH > (>= 4:17.07.70+git20170625)
  Considering libkf5akonadicontact5abi1:amd64 0 as a solution to digikam-private-libs:amd64 0
  Holding Back digikam-private-libs:amd64 rather than change libkf5akonadicontact5abi1:amd64
Investigating (2) digikam:amd64 < none -> 4:6.4.0+dfsg-3build1 @un puN Ib >
Broken digikam:amd64 Depends on digikam-private-libs:amd64 < none | 4:6.4.0+dfsg-3build1 @un uH > (= 4:6.4.0+dfsg-3build1)
  Considering digikam-private-libs:amd64 0 as a solution to digikam:amd64 10000
    Reinst Failed early because of libkf5akonadi-data:amd64
    Reinst Failed because of libkf5akonadicore5abi2:amd64
    Reinst Failed because of libkf5akonadicontact5abi1:amd64
Done
Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.
The following information may help to resolve the situation:

The following packages have unmet dependencies:
 digikam : Depends: digikam-private-libs (= 4:6.4.0+dfsg-3build1) but it is not going to be installed
E: Unable to correct problems, you have held broken packages.
chris-on-neon
Registered Member
Posts
4
Karma
0
Upgrade of Neon to 20.04 completed.

On bootup was left with prompt '[Ok] Finished Terminate Plymouth Boot Screen.'. No 'Neon 20.04' option under Grub menu (grub-customizer}
Rebooted to my temporary Kubuntu 20.04 install (installed yesterday)
Issued 'update-grub'
Rebooted and 'Neon 20.04' now on menu.
Issues so far: No network. How would one go about installing network without a network connection?


Code: Select all
System:    Host: i5-neon Kernel: 5.4.0-40-generic x86_64 bits: 64 Console: N/A Distro: KDE neon 20.04 5.19
Machine:   Type: Desktop Mobo: INTEL model: SHARKBAY serial: N/A UEFI: American Megatrends v: 4.6.5 date: 07/25/2016
CPU:       Topology: Quad Core model: Intel Core i5-4590 bits: 64 type: MCP L2 cache: 6144 KiB
           Speed: 898 MHz min/max: 800/3700 MHz Core speeds (MHz): 1: 890 2: 826 3: 816 4: 802
Graphics:  Device-1: Advanced Micro Devices [AMD/ATI] Navi 14 [Radeon RX 5500/5500M / Pro 5500M] driver: amdgpu v: kernel
           Display: server: X.Org 1.20.8 driver: amdgpu FAILED: ati unloaded: fbdev,modesetting,radeon,vesa
           resolution: 1920x1080~60Hz
           OpenGL: renderer: Radeon RX 5500 XT (NAVI14 DRM 3.35.0 5.4.0-40-generic LLVM 9.0.1) v: 4.6 Mesa 20.0.4
Audio:     Device-1: Intel 8 Series/C220 Series High Definition Audio driver: snd_hda_intel
           Device-2: Advanced Micro Devices [AMD/ATI] Navi 10 HDMI Audio driver: snd_hda_intel
           Sound Server: ALSA v: k5.4.0-40-generic
Network:   Device-1: Realtek RTL810xE PCI Express Fast Ethernet driver: r8169
           IF: enp4s0 state: down mac: 00:e0:4c:16:42:54
Drives:    Local Storage: total: 698.65 GiB used: 36.04 GiB (5.2%)
           ID-1: /dev/sda vendor: Western Digital model: WDS500G2B0A-00SM50 size: 465.76 GiB
           ID-2: /dev/sdb vendor: Samsung model: SSD 750 EVO 250GB size: 232.89 GiB
Partition: ID-1: / size: 38.20 GiB used: 19.35 GiB (50.7%) fs: ext4 dev: /dev/sda3
Sensors:   System Temperatures: cpu: 29.8 C mobo: 27.8 C gpu: amdgpu temp: 36 C
           Fan Speeds (RPM): N/A gpu: amdgpu fan: 0
Info:      Processes: 198 Uptime: 8m Memory: 7.73 GiB used: 770.2 MiB (9.7%) Shell: bash inxi: 3.0.38
User avatar claydoh
Registered Member
Posts
681
Karma
5
OS
Issues so far: No network. How would one go about installing network without a network connection?


It is just the applet that is missing, not networkmanager itself, so nmcli will work:

https://docs.ubuntu.com/core/en/stacks/ ... onnections


claydoh, proud to be a member of KDE forums since 2008-Oct, and KDE user since 2001
chris-on-neon
Registered Member
Posts
4
Karma
0
claydoh wrote:
Issues so far: No network. How would one go about installing network without a network connection?


It is just the applet that is missing, not networkmanager itself, so nmcli will work:

https://docs.ubuntu.com/core/en/stacks/ ... onnections


Hi. I have a LAN connection. How similar is the process? It's a desktop PC.

EDIT:
Code: Select all
[email protected]:~$ nmcli

Command 'nmcli' not found, but can be installed with:

sudo apt install network-manager


EDIT:
Downloaded the testing iso and installed over the 18.04 updated to 20.04 install. Network and all working fine.
luhe
Registered Member
Posts
1
Karma
0
Upgrade from 18.04 via do-release-upgrade

Everything went fine, upgrade finished successfully.
The only problem I noticed was that latte-dock was no longer installed on the next boot, and therefore I had no panels. Quickly installed it, and everything is great now.
No problems with NetworkManager (or its applet)
gfielding
Registered Member
Posts
144
Karma
0
OS
Clean install from the user snapshot (02072020) with manual partitioning & En-GB language - no issues.

Couple of comments:

1 - New installer - nice on the eye, easy to use and very quick
2 - Chromium (non-deb) takes ages to install (thought my computer had crashed)
PatientZero
Registered Member
Posts
17
Karma
0
OS
Hi all,

Upgraded via do-release-upgrade, vmware install.
Only issue I have : when I want to start akonadi I get the following error:

org.kde.pim.akonadictl: Starting Akonadi Server...
org.kde.pim.akonadictl: done.
Connecting to deprecated signal QDBusConnectionInterface::serviceOwnerChanged(QString,QString,QString)
~  org.kde.pim.akonadiserver: Starting up the Akonadi Server...
org.kde.pim.akonadiserver: database server stopped unexpectedly
org.kde.pim.akonadiserver: Database process exited unexpectedly during initial connection!
org.kde.pim.akonadiserver: executable: "/usr/sbin/mysqld-akonadi"
org.kde.pim.akonadiserver: arguments: ("--defaults-file=/home/neon/.local/share/akonadi/mysql.conf", "--datadir=/home/neon/.local/share/akonadi/db_data/", "--socket=/run/user/1000/akonadi/mysql.socket", "--pid-file=/run/user/1000/akonadi/mysql.pid")
org.kde.pim.akonadiserver: stdout: ""
org.kde.pim.akonadiserver: stderr: ""
org.kde.pim.akonadiserver: exit code: 1
org.kde.pim.akonadiserver: process error: "Unknown error"
org.kde.pim.akonadiserver: Shutting down AkonadiServer...
org.kde.pim.akonadicontrol: Application '/usr/bin/akonadiserver' exited normally...
PatientZero
Registered Member
Posts
17
Karma
0
OS
Akonadi problem solved..I checked ~/.local/share/akonadi/db_data/mysql.err and found out that certain activated parameters where the problem:

/home/neon/.local/share/akonadi/mysql.conf :

query_cache_type
query_cache_size
log_warnings

After I disabled these akonadi started without problems.
Liang Qi
Registered Member
Posts
5
Karma
0
On my MacBook Pro 2016, without T2

The neon images based Ubuntu 18.04(bionic), flash to usb drive, boot is fine with rEFInd.

Have tried focal-preview ones, both plasma_lts and user images, flash to usb drive, the boot is struck like:

rEFInd - Booting OS
Starting grubx64.efi
Using load options ''

BTW, is it possible to disable or skip the grub installation step when install neon? For me, I am using rEFInd, no need to have grub.
User avatar jbouter
Registered Member
Posts
14
Karma
0
OS
Prior to the upgrade, I needed to remount my /tmp as exec, as is the case with any regular Ubuntu do-release-upgrade as well:
Code: Select all
sudo mount -o remount,exec /tmp


I ran into the following error:

Image

Taken steps:

I have disabled all third party repositories:

* Flatpak
* Nextcloud
* Wireguard

I have removed all packages beloning to these repositories using ppa-purge

These steps didn't resolve the issue, so I investigated the logfiles, as recommended in the error.

The final error inside /var/log/dist-upgrade/main.log is:
Code: Select all
2020-07-07 21:17:30,400 ERROR Dist-upgrade failed: 'Broken packages after upgrade: libgl1-mesa-dri, libhpmud0, libsane'


I proceeded by removing packages that didn't belong to any repository:

Code: Select all
apt install -y aptitude
aptitude search "~o"


I also removed the packages listed in the error of main.log, with the exception of libgl1-mesa-dri:

Code: Select all
apt remove libhpmud0 libsane


I could then start the upgrade, and it upgraded just fine.

Post installation, I received the following errors on apt full-upgrade :

Code: Select all
The following packages were automatically installed and are no longer required:
  appimagelauncher ksysguard-data libcrystalhd3 libkf5sysguard-bin libksignalplotter9 libllvm9 libpoppler87 libzip4
Use 'sudo apt autoremove' to remove them.
The following packages will be REMOVED
  ksysguard ksysguardd libsensors4 neon-desktop
The following NEW packages will be installed
  libsensors-config libsensors5
The following packages will be upgraded:
  libgl1-mesa-dri
1 to upgrade, 2 to newly install, 4 to remove and 0 not to upgrade.
Need to get 9,491 kB of archives.

I assume that once the ksysguard dependencies are fixed, I need to reinstall the neon-desktop package

I also found that my audio applet was gone, which I reinstalled:
Code: Select all
apt install -y plasma-pa


Finally I also ran into the same akonadi errors as PatientZero did, and I reached the same conclusions. I commented out the following three lines in ~/.local/share/akonadi/mysql.conf:
Code: Select all
[..]
#log_warnings=2
[..]
#query_cache_size=0
#query_cache_type=0
[..]

After doing so, I could properly start akonadi using akonadictl start

Besides that I ran into issues with GRUB. But this is my own doing as I had caused these issues myself back on 18.04, and they reappeared after the upgrade to 20.04. It was easily fixed with below command:
Code: Select all
cp /boot/grub/x86_64-efi/grub.efi /boot/efi/EFI/neon/grubx64.efi


Information about my system:

kernel: 5.7.7-050707-generic (mainline, direct deb install)
Encryption: Yes, LUKS
Filesystem: btrfs

Notes:
my /boot lives out side of LUKS
btrfs subvolumes (inside LUKS):
@
@home
@var
@var/tmp
@var/log
@var/log/audit

Last edited by jbouter on Wed Jul 08, 2020 2:51 pm, edited 9 times in total.
User avatar kinghat
Registered Member
Posts
7
Karma
0
followed the guide and i dont get a prompt to update after logging back in.
i also tried sudo do-release-upgrade and i get:
$ sudo do-release-upgrade
Checking for a new Ubuntu release
There is no development version of an LTS available.
To upgrade to the latest non-LTS develoment release
set Prompt=normal in /etc/update-manager/release-upgrades.

setting do-release-upgrade Prompt=normal yields "No new release found." as well.

im an a fairly fresh install of 18.04:
Operating System: KDE neon 5.19
KDE Plasma Version: 5.19.3
KDE Frameworks Version: 5.71.0
Qt Version: 5.14.2
Kernel Version: 5.3.0-62-generic
OS Type: 64-bit
Processors: 8 × Intel® Xeon® CPU E5-1620 v3 @ 3.50GHz
Memory: 62.8 GiB of RAM
Graphics Processor: AMD Radeon ™ RX 470 Graphics

 
Reply to topic

Bookmarks



Who is online

Registered users: Baidu [Spider], beerislife, Bing [Bot], Google [Bot], knewbie, Majestic-12 [Bot], nalvarez, schellong, Section_8, Sogou [Bot], uriel, Yahoo [Bot]